﻿# ===================================================================
# Game script start point...
# ----------------------------
label start:
        
    scene black
    
    $ store.save_name = "Prologue"
    
    stop music fadeout 1.0
    play music "sfx/cardiogram.ogg" fadein 1.0
    
    "A sharp sound echoes in the room."
    "Aside from that sound, the room is dead silently now."
    "Along with all non-living things stands a girl. Her eyes are closed and she seems to be having a bad dream."
    "Her white clothes confound with the place and couldn't combine more with the season."
    "It's the start of british winter, and the small white snowflakes can be seen dancing in the sky after the window's glass."
    "There couldn't be a better season to match that scene."
    "That was what she would think too..."
    centered "...if only she could awake..."
    
    jump scene_a001 # A:Prologue | Scene 1 ~ Awakening
    
# ===================================================================
# Prologue
# ----------
label scene_a001:
    
    # Route A: Scene 1 ~ Awakening
    # ------------------------------
    
    $ _chapter("prologue")
       
    play music "sfx/cardiogram.ogg" fadein 1.0
    
    scene black with dissolve
    
    "A strange sound invades my ears."
    "I'm pretty sure I heard this sound somewhere before, but my mind doesn't seem to be up to par yet."
    "And on top of that my head is hurting badly."
    "Or maybe that is what's preventing my mind from work."
    
    play sound [ "sfx/open_door.ogg", "sfx/footsteps.ogg" ]
    
    $ renpy.pause(4.0, hard=True)
    
    "Footseps."
    "I can barely tell it because they're coming closer."
    
    stop sound fadeout 1
    
    "My headache grows.\nAnd almost synchronized I feel a cold touch in my forehead."
    "That seems to strike me back to reality."
    
    show bg hospital
    show jill normal
    with open_eyesf
    
    play music "bgm/awakening.ogg" fadein 1.0
    
    "The next second my eyes are wide open and fixed in the person in front of me."
    
    emilie "Doctor... Jill Summers...?"
    
    "I read the plate in her jacket aloud."
    
    jill "So you finally woke."
    
    "Her smile is so kind that I forget of my headache."
    "Or maybe that smile alone was sufficient to make me better."
    "That makes me finally realize."
    "I'm not in my room."
    "My headache is back, and now it seems even worse."
    
    emilie "Why... am I in a hospital...?"
    
    "That question wasn't aimed at anyone but me."
    "I just couldn't believe I was in a hospital room."
    "Not as a patient!"    
    "The doctor sits in a chair by my bed."
    "Maybe I'm too nervous that I can't move my body, but I follow every footstep of her with my eyes."
    
    jill "You suffered an accident."
    
    "She is talking slowly, in a kind way."
    
    emilie "An... accident...?"
    
    "I can't remember."
    "No matter how hard I try to remember what happened, I just can't."
    "There's a gap in my memory."
    "In a minute I'm talking with Carol, and then..."
    "Nothing."
    "All that stands after that is a big void."
    
    jill "You were in the car with your friends..."
    
    "She hesitates a bit, then looks at me and sighs."
    
    jill "The car was hit by a truck."
    
    emilie_t "The car... hit..."
    
    jill "You're the only survivor."
    
    emilie_t "By... a truck...?"
    
    jill "It was a miracle you survived."
    
    "I remember everything now."
    "It's like my memory had come back from she simple mentioning it."
    "No. How silly."
    "I just blocked my memories on my own."
    "And I should've never opened them again."
    
    stop music fadeout 1
    scene bg car rem with dissolve
        
    "That day we were going to have fun."
    "All of us were accepted in the University of Oxford."
    "And that deserved a celebration."
    "Silly, I had nothing to celebrate."
    "Besides being accepted in Oxford to course medicine, that was never what I wanted to do."
    "That's true, I just choose that course because my friends and my family told me to."
    "I told myself 'maybe I could happen to like it in the future'."
    "That's how I always lived my life."
    "I remember that Carol seemed rather tired so I switched places with her."
    "We were the only ones with a driving licence.{p}And altough I wasn't the best driver there, we didn't wanted troubles."
    "After that..."
    "Hell."
    "That's the only thing after that."
    "I remember Carol saying something about her cellphone. And the instant I turned to take a look at it..."
    
    scene bg hospitali with white_flash
    
    emilie "Kah... hah..."
    
    "I'm out of breath."
    "The more I remember the accident, the more I feel like throwing everything up."
    
    emilie "Kah... ha... kuh——"
    
    "IT'S HELL."
    centered_fast "{color=#f00}IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL. IT'S HELL.{/color}"
    "That was the hellish scene I created."
    
    emilie "Kah——hah... ughh..."
    
    "I feel a sharp pain in my arms, but it fades quickly."
    
    stop music fadeout 1.0
    scene black with close_eyes
    
    "Along with my senses..."
    "......"
    "............"
    ".................."
    
    play music "bgm/awakening.ogg" fadein 1.0
    
    scene bg hospital
    show jill normal
    with open_eyes
    
    "When I regain consciouness the doctor is standing by my bed, with that kind smile in her face."
    
    jill "You have to take it easy, you almost had an heart attack."
    
    emilie "I must've not survived."
    
    jill "Don't say that. You should be thankful that you survived."
    jill "It was a completly miracle!"
    emilie "I ki{nw}"
    jill "That wasn't your fault."
    jill "It is what we call accident. It could've happened with anyone."
    
    "She seems angry for some reason."
    
    jill "When you arrived here, you were already a dead person."
    jill "Your state was so bad that we couldn't do anything anymore to save you."
    jill "But, even so, we tried hard and the miracle happened."
    jill "You weren't just saved. You actually ressucited. What can we call this if not a miracle?"
    jill "So, you should live the life you've been given. You have a second chance to do things right this time..."
    
    "She stops and that kind smile is back at her face."
    
    jill "I'm sorry."
    jill "So, how are you feeling today?"
    
    "I can't argue with her, no matter how I think she's wrong."
    
    emilie "Sleepy..."
    jill "You should take a bit of sleep. The nurse Juliet will stay here, so if you ever need something just ask her."
    
    hide jill with dissolve
    
    "She turns her back at me and leaves the room."
    "No, she stops with her hand still on the door knob and turn again at me."
    
    show jill normal with dissolve
    
    jill "Your mother was here early this morning and..."
    jill "Un, it's nothing, just forget about it."
    
    hide jill with dissolve
    
    "Now she really leaves the room."
    "I must be tired."
    "My eyes are heavy and I just can't maintain them opened..."
    
    scene black with close_eyes
    
    jump scene_a002
    
# ===================================================================
# Chapter 1 ~ Meeting
# --------------------
label scene_a002:
    
    # Route A: Scene 2 ~ The Strange in Girl's Clothes
    # --------------------------------------------------
    
    $ _chapter("1", "Chapter 1 - Meeting")
        
    play music "bgm/floating.ogg" fadein 2 fadeout 2
    
    scene black with dissolve
    
    "My body feels strangely warm."
    "It's a weird feeling, actually.{p}As if my body is floating."
    "Aside of that, I just can't feel anything."
    "My senses doesn't seem to work at all, so I just keep enjoying this sensation."
    "Funny, I remember that I felt like this once."
    "It was..."
    
    stop music fadeout 2
    play sound ( ["sfx/cardiogram.ogg"]*3 ) fadein 1.0 fadeout 2.0
    play music "bgm/awakening.ogg"
    
    scene bg hospital with dissolve
    
    "The sensation fades as soon as that sound reaches my ears."
    "Yeah, now I remember."
    "I'm at the hospital."
    "I should've really doozed off after the doctor left."
    "My body feels weird."
    "The most of it is numb, as if I slept over them or something."
    "But the blood flow should normalize soon, so I just stare blankly at the window in the room."
    
    # @TODO: CG ciel
    
    "The curtains are open and it seems a girl is staring at the nighty city from there."
    "The thought of her being the nurse quickly leaves my head."
    "Her clothes are just so weird for a nurse, so I assume she is a guest."
    "Not my guest, of course. I have never seen such strange girl in my life."
    
    emilie "E-Excluse-me..."
    
    scene bg hospital
    show ciel twisted
    with dissolve
    
    "She turns at me and..."
    
    emilie "No way...!"
    
    "It just happens that the girl over there is actually a boy."
    "Maybe he is gay or something."
    "Not that I have anything against them, but that would explain why he is wearing those girlysh clothes."
    emilie_t "But what is that weirdo doing in my room, anyways?"
    "He walks slowly to my bed. His lack of expression is a bit scary."
    "If you ever heard about cold-blooded guys..."
    "That boy stands levels beyond that."
    "My heart skips a beat."
    "He stopped and is staring at me."
    
    emilie "W-Who are you?"
    
    "His stare is piercing through my skin."
    "Its just driving me crazy."
    
    $ ciel_name = "Strange Guy"
    
    ciel "Do you really want me to answer that question?"
    
    play music "sfx/heartbeat.ogg" fadein 1
    
    "He has a mischievous smile in his face."
    "His words are just like thin blades, cutting off everything that dares to hear them."
    "My world freezes."
    "Completly."
    "At that very instant I realize that if he answer that question, my life will be changed forever."
    "There's just no turning back after that question is answered."
    "But not just that, if he answer that question, then..."
    "He takes a step forward, as if urging me to answer."
    
    ##  menu:
        
        ##  "I..."
        
        ##  "...want to know.":
            ##  jump scene_a003
            
        ##  "...should run right away.":
            ##  jump scene_b001
           
           
label scene_a003:
    
    # Route A: Scene 3 ~ Ciel
    # -------------------------
    
    stop music fadeout 2
    
    "I shouldn't even think about it."
    "My life can't become worse, and anyways..."
    "...I just won't be able to live on without knowing him."
    
    emilie "I wouldn't ask if I didn't wanted to know."
    
    show ciel normal with dissolve
    
    "He seems surprised, but that lasts just a second."
    
    play music "bgm/awakening.ogg" fadein 1
    
    "Now he has a kind smile on his face."
    
    ciel "I'm Ciel."
    
    $ ciel_name = 'Ciel'
    
    emilie_t "Now I have a guy named Ciel who dress up like a girl."
    emilie_t "If this is some sort of wicked dream I want to wake up right now."
    
    "He comes even closer and sits in a chair near the bed."
    
    ciel "You're an interesting girl"
    emilie "I don't see where you're seeing it."
    ciel "Usually peoples would run right away."
    emilie "If you dressed like a normal guy they would probably react better to you."
    emilie "And if you go around with that cold-blooded face like an assassin they're more likely to run from you, aren't they?"
    
    "He seems puzzled for a moment."
    
    ciel "I see."
    ciel "But I can't do anything about that."
    ciel "I'm what you'd call an assassin, after all."
    
    stop music fadeout 1
    
    "The blood freezes in my veins."
    "No. Rather, the entire universed freezed."

    play music "sfx/heartbeat.ogg" fadein 1

    "Just the sound of my heartbeats remains."
    "He seems surprised."
    
    ciel "I thought you already knew that."
    ciel "I'm here to take your life."
    
    "He states that without any trace of mercy. Without even the slighest hesitation."
    
    play music "bgm/awakening.ogg" fadein 2
    
    emilie "I see."
    
    "Everything is clear now. Like glass."
    "He's not from this world. He just doesn't belongs here."
    "And soon I won't too."
    "But for some reason I don't feel scared at all."
    "Maybe I already accepted my death."
    "Yah, its better this way."
    "I should have not survived that accident to begin with."
    
    # @TODO ciel cg
    
    "He walks to the window again, staring at the nighty city."
    
    ciel "How is life here?"
    
    "He asks an odd question."
    "A simple and odd question that I should answer right away..."
    "But I don't know what to answer."
    "He looks at me, waiting for a response. And as that cold stare of him pierces my body he finds out my answer."
    "The truth is, I have never lived {i}my{/i} life, so I just can't answer that question."
    "Its silly but I'm going to die before even living for a short while."
    "I just wasted my chance and now I'm paying for it."
    "He turns his back at me again."
    "He isn't watching the city anymore."
    "I know that, for some strange reason."
    "I just know it."
    "He didn't expected that answer."

    ciel "You still have some time."
    
    "He turns at me again."
    
    ciel "Just tell me what you want to do."
    ciel "Whatever it is, you can enjoy it before we go."
    
    emilie_t "So I can choose anything I'd like to do, hm?"
    "To be able to enjoy something for the first and last time..."
    "I'm not sure if I really want that."
    "...."
    "........"
    "No, that's not it."
    "What's stopping me from answering his question is that I just can't think of anything at all I would like to do."
    
    play sound [ "sfx/open_door.ogg", "sfx/footsteps.ogg" ]
    
    hide ciel with dissolve
    
    "The door opens."
    
    show juliet normal with dissolve
    
    "Someone in a nurse's outfit enters the room."
    "She must be the one that Jill talked about."
    "What was her name again?"
    "...."
    "Juliet Schimidt."
    "Not that I remembered, but as she came closer to my bed I could read her ID card."
    "For some reason, my body doesn't seem to be up to par yet."
    "I don't know if it's some after effect of the medication or of the surgeries, but I just can't move most of it."
    "It seems like all my body below the neck is still numb."
    "The nurse comes even closer and her expression changes to a worrisome one."
    
    juliet "Are you not feeling well? Do you feel any pain?"
    
    "I realize my eyes are wet."
    emilie_t "But why am I crying...?"
    
    juliet "Do you want me to get the doctor?"
    emilie "No. I'm fine."
    
    "She calms herself."
    "The smile in her face is the same one Jill Summers had."
    "Actually, they two are really alike."
    "That makes me wonder if they're sisters or something."
    "But since their surnames are different it must just be a coincidence."
    
    juliet "I'm glad to hear that."
    juliet "By the way, I'm Juliet. Doctor Summers asked me to watch over you so if you ever want something just ask it."
    
    "She smiles."
    "Now that I think about it, her smile is way more lively than Jill's"
    "I turn my face in the window's direction."
    "Ciel is nowhere to be seen."
    
    juliet "Hm?"
    juliet "Oh, do you want me to close the window?"
    emilie "Un, it's fine."
    emilie_t "A bit cold, indeed, but I'm fine with it."
    juliet "I see."
    
    "She sits on the chair near the bed."
    
    juliet "I guess I know how you feel."
    emilie_t "I doubt you do."
    juliet "I felt this way when I was first hospitalized too."
    emilie_t "I doubt you did."
    juliet "When someone passes through things like this... it's hard, but..."
    emilie_t "Heh, you don't know what you're talking about at all."
    juliet "It's even harder for someone who never lived before."
    emilie_t "Wha—————"
    
    "I took a while to bear the impact of her words."
    "How can she ever know I never lived before if I never told this to anyone."
    "No, worse still, I myself didn't knew that until I woke in this nightmare."
    
    juliet "I had a sister who would always come to visit me and try to cheer me up."
    juliet "But she broke when I told her I was going to die... and that she couldn't do anything for me."
    juliet "I guess she just couldn't believe that, so she tried even harder to save me."
    juliet "She was like my angel back then."
    
    emilie_t "I see."
    emilie_t "I have an angel too, but he's totally the other way around."
    
    emilie "So... she was your savior?"
    juliet "Hm... somewhat."
    
    "She hesitates a bit before answering."
    "I smile lightly."
    "I just can't see how something like that could ever save someone."
    "I mean, if you're really going to die, a kid will never be able to save you."
    "Sometimes, even the doctor's can't."
    "She turns her face away."
    
    juliet "E-Excuse-me. I just..."
    
    hide juliet with dissolve
    
    "She leaves me alone again in the room."
    "With nothing to do, I stare at the window."
    "He isn't there."
    "I try to imagine what he was seeing. What he was looking for in the night of our city."
    "And without knowing it, I'm fast asleep."
    
    scene black with close_eyes
    
    "..."
    
    scene bg hospital with open_eyes
    
    "The sunlight wakes me."
    "It's morning, and I'm still in the hospital room."
    "Sad, it wasn't a nightmare."
    "The now familiar sound of the cardiogram keeps echoing by the room with no other than me."
    "The only good thing about this awful noise its that while it continues like this I'm not dying."
    "Not sure if it's really a good thing, but I'd like to live a bit before I die, so this noise gives me a slight hope that all the encounter with Ciel was a bad dream."
    
    play sound [ "sfx/open_door.ogg", "sfx/footsteps.ogg" ]
    
    show jill normal with dissolve
    
    "The door opens and doctor Jill Summers enters the room."
    
    jill "Are you feeling better today?"
    
    "Now that she said it, I feel a bit better."
    "Altough I still can't feel my members."
    
    emilie "A bit. I still can't feel my members."
    
    "Her smile fades as she carefully sits in the chair by my bed."
    "She's holding my hand."
    "Not that I can feel it, but I can see."    
    
    jill "You suffered a intense damage on your spine, and...{p}\
    ...we weren't able to do anything about it."
    jill "You'll never feel your members once again."
    
    "She thrusts those words deep inside me."
    "So, the price to have my life back it's living like a vegetable."
    
    emilie_t "Just..."
    emilie_t "————What kind of miracle it is...?"
    emilie_t "How am I ever supposed to live a life like this?"
    emilie_t "Just...{w} how...?"
    
    "I'm crying."
    "Tears are flowing from my eyes, and I have no way of stop them."
    "Neither can I weep them..."
    "Doctor Jill Summers keeps silent for awhile, watching my helpless suffering."
    "She bits her lower lip."
    
    jill "But..."
    emilie "But we'll do what we can to help you?"
    
    "I try to complete her frase."
    "The words spoken between sobs and tears."
    "I'm just so mad that I can't stand it."
    "I'm just so mad that..."
    extend " I don't know what to think."
    "Or maybe I just can't think straight at all."
    "She shakes her head."

    jill "There's something worse than that."
    jill "In the last days, a collateral-effect of the surgeries showed up, and..."
    emilie "And...?"
    jill "It's already too late for us to do something."
    
    "Let me get it straight."
    "She's saying I almost died in a car accident, but I was saved by a miracle."
    "But as if it was the price for the miracle, I ended up as a paralitic in an hospital room..."
    "...that is, for a short while, since it seems I'm going to die soon anyways."
    
    emilie "How many time I still have?"
    
    "She sighs."
    
    jill "Can't say for sure. It can be days, weeks, even months."
    jill "But by the pace things are...{w=1} no more than a year."
    emilie "I see..."
    emilie "Why...{w=1} you didn't told me yesterday?"
    
    "She seems surprised, but just for an instant."
    
    jill "You was in coma yesterday."
    jill "Actually, you was in coma for a week."
    
    "Silence."
    "For a moment I just don't know what to say."
    
    emilie "You...{w=.5} didn't told my mother about it, did you?"
    
    "She ponders about it for awhile."
    
    jill "No."
    jill "I should've told her, but I couldn't."
    jill "She was...{w=.5} really worried about you."
    jill "I guess if I told her she would pass out even before you did."
    
    "Yeah, that's great."
    "It's better if she just don't know about it, but..."
    "I can already see how she will feel when it happens."
    "And it's not good so far."
    
    emilie "I see.{w} It's better this way."
    jill "But I'll have to tell her soon."
    emilie "Please, don't."
    
    "Her eyes are fixed in me."
    "I don't know how much we just stood there, staring at each other."
    "But I could see hesitation in her eyes."
    "She shakes her head."
    "Not desagreeing with me.{w=.5} It was more like she was desagreeing with herself."
    
    hide jill normal with dissolve
    
    "Then she leaves the room."
    "I still not sure if she will tell mom or not, but I really hope she doesn't."
    "Only God knows what mother would do if she finds out."
    "I remember how she felt after dad passed out in that car accident."
    "She was really lonely back then."
    "It was like she wasn't there at all."
    "She even tried suicide."
    "And to think something like that could happen ever again..."
    "I feel dizzi."
    "My eyes are sppining."
    
    emilie "Kah—— hah——"
    
    "I manage to get myself togheter once again."
    "Then{w=1} I finally notice."
    
    show ciel normal with dissolve
    
    "He is in the room."
    "His uninterested stare fall upon me and at the very instant that he realizes I noticed him a smile draws in his face."
    "He walks to my bed without saying a word."
    "But, at least, he doesn't have that cold-blooded expression of him."
    "He is smiling."
    "In such a kindly and beautiful way I start to doubt I'm still alive."
    "He sits in the chair by my bed."
    "For the time being we keeps silent, just looking at each other's face."
    
    ciel "Did you thought about my question?"
    
    "..."
    "What can I say?"
    "I just couldn't come up with anything I'd like to do."
    "And I wasn't expecting he being serious altogheter."
    "And..."
    
    ciel "You had plenty of time to, you know."
    
    "He has a mischievous smile on his face."
    "That makes me wonder if he is really an angel."
    "I mean, he is really screwed up if that's the case."
    "What happened with the angels that would be protecting my dreams, as mom used to say when I was little?"
    
    ciel "I guess I have no choice."
    ciel "If you couldn't think of anything..."
    
    stop music
    
    "He stops."
    "That cold-blooded expression is back at his face."
    "I guess I was just deceived by this strange guy over there."
    "He never had any intention of letting me live."
    "He was just toying with me."
    "Damn him."
    "How dare he calls himself an angel after all?"
    
    play music "bgm/awakening.ogg" fadein 1
    
    "He smiles, and his expression is once again that beautiful and kind smile."
    "Man, he is definetely twisted."
    
    ciel "I will decide for you."
    
    "An even wider smile draws on his face."
    "I'm left in shock."
    "That was the last thing I thought of hearing now."
    "Not in that way."
    "He was so kindly that..."
    
    centered "————it really seems he cares about me..."
    
    "I can't get angry with him."
    "Even if he makes a statement like that."
    "To start with, I shouldn't even have the rights to enjoy anything."
    "He was sent here to kill me, not to hang around with me."
    
    ciel "Will you stay on the bed all the day?"
    emilie "You should know... I can't move my body."
    
    "He laughs."
    
    ciel "Yeah, you're right."
    ciel "You became a paralytic after the accident."
    ciel "But it shouldn't be a problem now."
    emilie "Eh?!"
    
    "I'd like to punch him."
    "What's with that \"This shouldn't be a...\"{w=.5}?"
    "I'm dumbfounded."
    "It was more in a whim."
    "My anger towards him was just so strong that I actaully tried to."
    "And the strange part is{w=1} my arm moved."
    "I try to move the rest of my body."
    "It all works just fine."
    "I look at the guy standing near the curtain. I just can't understand it at all."
    
    hide ciel with dissolve
    
    "He smiles and turns his back at me, opening the curtains and stepping outside...{p}\
    ...without opening the window."
    "He just managed to pass through it."
    "The thinking of he not being human returns to my mind."
    "At least, that makes my surprised face go away."    
    "I jump out of the bed and walk to the window too."
    "But the moment I try to open it I realize it's stuck fast."
    "No matter how hard I try to pull it, it won't even budge."
    "I point out the window, trying to mimic it's locked."
    "He laughs once again."
    "And I can hear it. Even though there's a wall of glass between us."
    "You know. Sound is a wave that is propagated in the air and then capted by the ears and interpreted by the brain as the actual sound."
    "There's now way it would pass from one side to another if there's not the slighest opening by where the air can travel."
    
    ciel "Oh, come on."
    
    "But he's breaking that very rule."
    "Then, I remember once again."
    "He isn't human."
    "Someone who manages to pass through solid glass can't be bound to our nature rules."
    
    emilie "I can't pass through windows when they're closed, you know."
    
    "I decide to try out, just to find he's smiling wryly."
    "At least, he did hear my words."
    
    ciel "Is this so?"
    emilie "Eh?!"
    ciel "You weren't supposed to be walking around."
    ciel "After all, the damage you suffered in your backbone rendered you almost completly paralytic."
    
    stop music fadeout 1
    
    ciel "And you won't recover from it."
    
    "My body freezes, completly."
    "Except for my pupils that are flickering in my wide open eyes."
    "When I recover from the shock, he is smiling in that kind way once again."
    "Hoping this is all a twisted dream, I pinch my arm."
    "Not good."
    "No matter how hard I pinch it, that twisted boy won't fade from my vision."
    "He extends a hand towards me."
    
    ciel "Will you come with me?"
    
    menu:
        
        "Go with ciel.":
            jump scene_a004
            
        "Pinch my arm once again.":
            jump scene_a004a
            
label scene_a004:
    $ visited_eden = True
    
    scene bg garden with white_flash
    
    "The instant I pass the window's glass, the world changes completly."
    "It's like the window was actually a door to an entire different world."
    "The buildings filled with light, the streets overflowed with all kinds of peoples and cars. They're nowhere to be seen."
    "All that stands there is a garden."
    "A really beautiful one."
    "I'm speechless."
    "No. I'm totally bewitched."
    "I can't even move, so I just keep watching the scenary."
    "Ciel smiles, in the middle of the flowers."
    "It's so beautiful that it doesn't seems real."
    "Oh, now I remember."
    "It isn't."
    "But I don't care anyways."
    "Shaking everything off my mind, I join Ciel."
    "We sit near the fountain."
    "I'm completly stuck by the garden to an extent I can't blink at all."
    
    play music "bgm/nostalgia.ogg" fadein 2
    
    ciel "I used to come here a lot before."
    
    "His words bring me back to reality."
    
    ciel "There was a kid who often came here as well."
    ciel "She seemed really bored, though."
    ciel "Even so, she wouldn't stop coming here."
    ciel "I didn't know what she was waiting for, but she would sit here and stare into nothing for a long, long time."
    ciel "Then she would ask me the same question."
    ciel "It was a bit funny."
    ciel "She looked at me as I wasn't there at all."
    ciel "Even though she was the one that was far away from there."
    
    "He falls silently."
    "As I don't have anything to say too, we just stare into nothing for the time being."
    "..."
    "This place is somewhat nostalgic."
    "Even though I've never been here once before, it's like I know every part of it."
    emilie_t "Do... I really have never been here...?"
    "I'm assaulted by an strange uneasiness."
    "For some reason I know this place."
    
    ciel "Say..."
    
    "He's the first to break the awkward silence."
    
    emilie "What is it?"
    ciel "Do you want to come back here again?"
    
    "I take a while to understand his question."
    "To come back here again...{p}I know what it means."
    "And that's why I can't answer him."
    "I don't know if I want it or not, so I let the silence speak for me."
    "..."
    
    ciel "I see."
    
    "He stands up."
    
    ciel "I guess it's about time to get back."
    emilie "Y-yeah..."
    
    "I follow him silently."
    
    stop music fadeout 2
    scene bg hospital with white_flash
    
    "And once we cross the window, the now familiar hospital room comes into vision."
    "Ciel, however, is nowhere to be seen."
    "I don't know why, but since when I crossed that window back here I've been feeling weird."
    "It's not my body, though."
    "But since we left that garden, I'm feeling like something inside me is missing..."
    
    jump scene_a005
    
label scene_a004a:
    "I pinch my arm once again and a blunt pain assalts all my body."
    "My voice dies in my throat."
    "And my senses fade slowly..."
    
    jump scene_a005

# ===================================================================
# Chapter 2 ~ Doll
# -----------------   
label scene_a005:
    
    $ _chapter("2", "Chapter 2 - Doll")
    
    play music "bgm/floating.ogg" fadein 2
    scene black with dissolve
    
    "Yellow leaves fall from the tree above."
    "Autumn it's coming to the end, and soon it'll be winter."
    "I'm alone in the park."
    "Fists clenched, holding something I don't know."
    "It's something really, really important to me."
    "And yet, I can't say what it is."
    "As the grip in my hand looses I realize I'm crying."
    "I don't know why, or maybe it's for no reason at all."
    "The tears are just flowing."
    "Unstoppable."
    "It's hopeless but I'm not moving from there at all."
    "Even if I have to wait for eternity."
    "Even if I know that what I'm waiting for will never happen."
    "Even if..."
    
    $ hilde_name = "Female voice"
    
    hilde "...lie?"
    
    "A kind female voice."
    
    hilde "Emilie?"
    
    "The voice seems from far away, but it reaches my ears in a gentle manner."
    "i guess I can let my body float in the direction of the voice."
    "It's lighter and more warm here."
    
    hilde "Emilie?!"
    
    "This one is different from the kind voice I heard before."
    "But that makes me finally recognize the voice that should be so familiar."
    "Mother's"
    
    play music "bgm/awakening.ogg" fadein 1
    
    scene bg hospital
    show hilde normal
    with open_eyes
    
    "As my eyes slowly opens, bearing the morning light, her very figure appears."
    "She's standing by my bed, with the unflickering smile she has wore since father's death."
    
    $ hilde_name = 'Mother'
    
    hilde "Do you feel any pain?"
    
    "She asks with a worried face."
    "I realize my eyes are wet."
    
    emilie "No, I'm fine."
    emilie "I just had a strange dream."
    
    "She seems more relieved as she sits in the chair by my bed."
    "As I thought, I can't move any of my members. But I still able to move my head."
    
    hilde "That's good then."
    hilde "I was really worried with you and..."
    emilie "I'm fine mom."
    
    "I wish I could move my body to calm her a bit."
    "But it seems that my voice just now did the trick."
    
    hilde "Yeah. The doctors said you can go home tomorrow."
    
    "Now that's totally unexpected."
    "But I manage to smile softly at that and hide my surprise."
    "Now that I've came this far I can't let my lie die like this."
    "It's for her sake after all."
    
    hilde "Oh, I almost forgot."
    
    "She pulls something out of her purse."
    "A doll, and one I recognize very well."
    
    emilie "No way..."
    
    "When I was a child I would have troubles with all kind of nightmares when I slept alone."
    "So, mother brought me that doll. And she said that doll would always protect my dreams."
    "I was able to sleep well back then because of it being always by my side."
    "Though, when I turned 12 I gave the doll to Florence, my litle cousin that came to visit us."
    "She was a bit hesitant to accept it after I told the story to her."
    "She just accepted it after I said I wouldn't be sleeping alone anymore."
    "The other night I cryed as I never did before, so mother was really worried about me."
    "But the time managed to stop my nightmares and I was able to sleep well alone a month or so after that."
    "I never expected to see that doll again."
    "Mostly because of Florence living in Milan, Italy. So we never get in touch very often."
    "Now that I think about it, I can't remember the name I gave the doll back then."
    "I guess it's been so long to remember such a childish and unimportant thing."
    "Well, I don't care."
    
    hilde "Florence came to see you five days ago."
    hilde "You was in coma, but she wouldn't stop coming until she could talk with you."
    hilde "It's sad, but since Marco had an important appointment they had to go back to Milan before you woke."
    emilie "I see."
    
    "I can immagine my 10 years old little cousin anxiously waiting for me to wake up."
    "It's kind acute."
    "Sad thing they had to go back to Italy before it happened."
    "But I can't blame him. After all, Marco is a really busy person."
    
    hilde "But she asked me to give the doll to you when you woke."
    hilde "She said that you'd need it more than her now."
    
    "I try to give her my best smile."
    "Not that I can really manage to get a good one."
    
    hilde "I will put it here."
    emilie "Thank you."
    
    "She puts the doll by my bed."
    "..."
    "......"
    "We spend all the afternoon talking about trivial things."
    
    hide hilde with dissolve
    play music "sfx/cardiogram.ogg"
    
    
    "It was a bit past five when she left."
    "She said she had something important to do and couldn't stay more."
    "I'm alone again in the room filled with the sound of the cardiogram."
    "Ciel isn't here."
    "I sigh."
    "Even if he's the one to take my life in the very end, I can't help but miss him."
    "..."
    "With nothing to do I just stare blankly at the doll near my bed."
    "I try remembering the doll's name, but no matter how hard I try, I just can't."
    "After some time I decide to give up and stare at the ceiling."
    "Being a paralytic is boring."
    "Having no one to talk to, neither something to kill some time all that's left is to sleep."
    "Unfortunately, I'm not even a bit sleepy, and closing my eyes won't help."
    
    scene black with close_eyes
    with Pause(1)
    scene bg hospital with open_eyes
    
    "But I try it at least."
    "The cardiogram sound keeps echoing."
    "I just can't sleep with this."
    
    play sound "sfx/open_door.ogg"
    stop music fadeout 1
    
    "The door opens."
    "I'm tempted to look at it."
    "It's slightly opened, but it doesn't seem there's anyone there."
    "Strange."
    "I look around in the room searching for him."
    "Unfortunately he isn't here."
    "Then, I realize."
    "He isn't the only thing missing here."
    
    emilie "No way..."
    
    "The doll isn't where it was supposed to be."
    "I cover my mouth with my right hand and..."
    "———wait!"
    "I really cover my mouth with my right hand."
    "And since I can move my members, it should mean..."
    
    emilie "Ciel...?"
    
    play music "bgm/aftermath.ogg" fadein 1
    
    "No answer."
    emilie_t "Geez, what's with that guy anyways?"
    "I stand up and walk to the door."
    "A bit hesitant, I open it."
    
    show bg corridor with open_door
    
    "The corridor is deadly silent now, and there's no one there."
    "Rather, it seems there's no one in the entire hospital."
    "As my room is almost in the middle of the corridor, I can chose to go first to the left or right."
    "Unfortunately, someone forgot to switch the lights on, so there's only darkness in either sides."
    "Geez, where could he be?"
    
    menu:
        "To the right":
            jump scene_a007
        "To the left":
            jump scene_a007b
            
label scene_a007:
    "I decide to go to the right first."
    "I just feel it."
    "That something weird is waiting for me in the end of the corridor."
    "And there's nothing more weird than Ciel, as far as I know."
    "With that in mind, I keep walking to the end of the corridor."
    "At the very end, there's another corridor to the right."
    
    scene bg corridor light with dissolve
    
    "I can see light pouring from the bottom of one of the room's doors."
    "As the corridor is dark, the light is clearly visible."
    "Without thinking twice I walk to the room."
    "Fastening my pace."
    "I'm almost running now."
    "My heart is beating fast."
    "When my hands reach the doorknob an uneasiness assaults me."
    "I'm not sure if I should open the door."
    "It's a kind of feeling I've felt so much times before."
    "Fear."
    "It's overflowing now."
    "Driving into every one of my veins, this feeling reaches my hand."
    "I back up."
    "Realizing my hands are shaking, I clench my fists."
    emilie_t "Just... what's with me?"
    "It's not like I'm 11 years old anymore."
    "There's nothing there I could possible be afraid of."
    "I mean, my situation can't get any worse, right?"
    "But no matter what, I just can't shake off this feeling."
    "I realize my legs are shaking as well."
    "Dammit!"
    "Just when was it that I became so coward?"
    "Bearing the uneasiness I take my hands to the doorknob once again."
    emilie_t "Yeah, that's it."
    "Now all that's left to do is turning..."
    
    jump scene_a008
    
label scene_a007b:
    "I decide to go to the left first."
    "I just feel it."
    "That something odd is waiting for me in the end of the corridor."
    "And there's nothing more odd than Ciel, as far as I know."
    "With that in mind I keep walking."
    "As I reach the end of the corridor I hear footsteps behind me."
    emilie_t "Dammit, I knew I should've go to the right."    
    
    show juliet dark with dissolve
    
    "I turn around."
    "Just to find the last person I'd expect to find here."
    "Juliet Schmidt, the nurse."
    "She smiles in such a kindly way that it makes me wonder if it is a dream."
    "Oh, wait.{p}Actually it is."
    
    juliet "You shouldn't walk in the corridors so late at night."
    emilie "Why are the lights off?"
    juliet "If you wanted something you could've asked me right away."
    emilie "Why-{w=.5}are-{w=.5}the-{w=.5}lights-{w=.5}off{w=.5}?"
    juliet "I will take you to your room."
    
    "I give up."
    "Anyways, things don't need to make much sense in dreams."
    "I had some scary and nonsense dreams when I was little."

    juliet "Please, follow me."
    
    hide juliet with dissolve
    
    "We start walking to my room."
    "Then, she turns around all of a sudden."
    
    juliet "I forgot something important in the nurse's office. Could you go without me?"
    
    "She runs before I even manage an answer."
    "I sigh and start walking to my room once again."
    "Standing in front of the door, I glance at the right side of the corridor."
    "A dimly light is coming from there."
    "Something I don't remember seeing the first time I looked at it."
    "The thought of going there crosses my mind."
    "But I shake that thinking off and open the door."
    "Or so I try."
    "It seems the door is locked."
    
    emilie "What———"
    
    "I glance at the corridor once again."
    "There's no light coming from there anymore."
    "I make my mind and start walking..."
    
    jump scene_a008
    
label scene_a008:
    
    stop music    
    scene white with Dissolve(1)
    _voice "Stop!"
    
    "The instant I hear that voice the entire world goes blank."
    
    play sound ( [ "sfx/cardiogram.ogg" ]*3 ) fadein 2 fadeout 2 
    
    "A familiar sound enters my ears."
    "Cardiogram."
    
    scene bg hospital
    show ciel normal
    with open_eyes
    
    "I open my eyes to discover I'm in my room."
    "A piercing stare is upon me."
    "He seems angry for some reason, but that lasts only a second."
    "As soon as he realizes I'm awoke, he sighs and let his body fall on the chair."
    "It's kind of cute, actually."
    
    ciel "You shouldn't let yourself drown in those dreams."
    emilie "Eh?!"
    ciel "Don't forget you're between life and death."
    ciel "If you let something like that happens, it's over."
    
    "An awkward silence follows."
    "..."
    "I just can't think of anything to say."
    
    ciel "So..."
    
    "He stands up and walks to the window."
    
    ciel "Did you thought about that question?"
    
    menu:
        "I..."
        
        "...wanted to go to the park.":
            jump scene_a009
            
        "...couldn't think of anything...":
            jump scene_a009b
            
label scene_a009:
    ciel "The park...?"
    emilie "Is there a problem?"
    
    "He shakes his head."
    
    ciel "It's not it."
    ciel "I...{w=1} no, it's nothing."
    ciel "Just forget about it."
    
    "I refrain from making any questions."
    "He smiles, and extends his soft hand to me."
    
    ciel "So, let's get going?"
    emilie "Y-yeah..."
    
    "I don't know why I feel this uneasiness, but I try to shake this off my head and hold his hand."
    
    play music "bgm/park_night.ogg" fadein 2
    scene bg park with white_flash
    
    "We cross the window once again to a entire different place."
    "It's the park."
    "One I used to go when I was little."
    "Carol and I played a lot here on our childhood..."
    "Carol played a lot here on our childhood."
    "I can't remember of me playing here."
    "I do remember I was always following her."
    "Trying to enjoy myself the way she did."
    "But...{w=1} it's only that."
    "I don't remember saying \"Wow, this is fun\" or \"Let's try that one next\"."
    "I was always following her."
    "Always..."
    "Like her shadow."
    "Do{w=1} shadows have fun too?"
    "I guess they don't."
    "Ciel is staring at me."
    "He seems annoyed."
    
    ciel "Here we are."
    
    "I look around in the park."
    "I'm looking for something I may want to try."
    
    show bg park at Move((0, 1.0, 0, 1.0), (0, .6, 0, .6), 5.0)
    
    "The first that comes in my mind is the ferris wheel."
    "It really stands ou over all the other things." 
    "Without knowing it, I start pulling Ciel in the attraction's direction."
    "He seems surprised, but follows me without questioning."
    "When we finally arrive at it, I realize there's no one beside us in the park."
    "I'm blushing."
    "I just know it."
    "I'm blushing even though there's no reason for me to."
    "Then, I back up, releasing his hands."
    "He just stands there, without understanding it."
    
    ciel "Don't you want to try it?"
    emilie "H-How can I ever try it, stupit? It won't work without..."
    
    "I'm yelling at him."
    "As I realize that, I suddenly stop."
    "He seems shocked."
    
    emilie "S-Sorry."
    
    "I excuse myself on a whim."
    emilie_t "Dammit! Just what's with me anyways?"
    "He extends a hand towards me."
    "His smile is just bewitching."
    
    ciel "It won't hurt to try, you know."
    
    "I just can't say \"no\"."
    "Actually, I just can't say anything."
    
    scene bg ferris wheel with dissolve

    "I follow him silently and we take our seats."
    "He is by my side, with that unflickering bewitching smile of his."
    
    scene bg ferris wheel at Move((0, 1.0, 0, 1.0), (0, 0, 0, 0), 10.0)
    
    "The wheel starts."
    "As we go up, the panoramic city comes to our vision."
    "Under the starlit sky, the dozens of buildings seems to have their own stars."
    "It's like the entire earth being another sky. With all the lights of the city being its stars."
    
    emilie "It's... beautiful..."
    
    "That's the only thing I can say."
    "The wheel has stopped when whe reached the higher position."
    
    ciel "Is this so?"
    emilie "Y-yeah..."
    emilie "The view is just... beautiful."
    emilie "I didn't know the city was like this viewed from here."
    
    "I feel a soft touch in my hand."
    "I don't even need to think whose is the hand softly holding mine."
    "After all, there's just the two of us here."
    "Suddenly, I realize I'm blushing."
    "I pull my hand and frankly try to hide my now red face."
    "He laughs."
    
    scene bg ferris wheel at Move((0, 0, 0, 0), (0, 1.0, 0, 1.0), 10.0)
    
    "The wheel starts working again."
    
    ciel "What is love?"
    
    "As the panoramic city view fades, he asks me an odd qustion."
    
    emilie "It's..."
    
    "I stop myself from being stupid."
    "He isn't asking the meaning of the word \"love\"."
    "What he's asking it's how it's like to feel it."
    "That's something I can't explain."
    "..."
    "......"
    
    ciel "Well, it's about time."
    emilie "You mean..."
    
    "He shakes his head."
    
    ciel "It's time to go back to the hospital."
    
    scene bg park with dissolve
    
    "We walk silently."
    
    scene bg hospital with white_flash
    
    ciel "Did you had fun today?"
    "As we pass the window back to the hospital he finally says something."
    
    show ciel normal with dissolve
    
    "I turn to him."
    "It don't seems he's asking it to fulfill his duties."
    
    emilie "Sort of..."
    
    "I lay down on the bed."
    
    emilie "It was, but..."
    emilie_t "There was something different."
    
    "I couldn't tell him those words."
    "They just wouldn't pass my throat."
    
    ciel "I see."
    
    "He walks slowly to my bed."
    
    ciel "Have a good night."
    
    "I feel a kiss in my forehead."
    "Like how mother used to do when I was a child."
    "His lips are so soft."
    "So gentle."
    "So unreal..."
    "Before he walks away, I hold his arm."
    "Ciel turn's around."
    
    ciel "Is there anything you want?"
    emilie "It's...{w=2} nothing."
    
    "I realease his hand."
    "Slowly."
    "I don't actually want to."
    "I wanted to say to him \"stay\"."
    "But I couldn't voice that simple word."
    "He walked to the window."
    "The footsteps stopped."
    "His stare upon me, with an undescriptible expression."
    
    ciel "I had too...{w=1} sort of..."
    
    hide ciel with dissolve
    
    "And before I could say anything, he is nowhere to be seen."
    
    jump scene_a010
    
label scene_a009b:
    $ ciel_angry = True
    
    "A long silence follows."
    "Ciel seems annoyed."
    
    ciel "I guess I was wrong about you..."
    
    hide ciel with dissolve
    
    "He turns to leave and walks to the window."
    
    emilie "——wait!"
    
    "I scream."
    "It was just on a whim, but I got his attention."
    
    show ciel normal with dissolve
    
    "He turned at me again, with a mysterious expression in his face."
    "One that freezes all the blood in my veins."
    
    ciel "What is it?"
    
    "I realize I have nothing to say to him afterwards."
    "I just didn't wanted him to leave."
    "Not that I was worried about being killed or something."
    "It's just... that I wanted him to stay."
    "..."
    "But I can't voice that simple thing sppining in my head."
    
    ciel "You have really changed after all..."
    
    hide ciel with dissolve
    
    "He leaves."
    "In the end I couldn't say that single word."
    "I was just afraid like always..."
    
    jump scene_a010
    

# ===================================================================
# Chapter 3 ~ Home
# -------------------------------------------    
label scene_a010:
    
    $ _chapter("3", "Chapter 3 - Home")
    
    play music "bgm/floating.ogg" fadein 2
    scene black with dissolve
    
    "Yellow leaves fall from the tree above."
    "The very same dream of the other night."
    "I'm alone in the park."
    "Fists clenched, holding something I don't know."
    "My eyes more than red from all the tears I couldn't hold back."
    "I don't know why I'm crying."
    "But the tears won't stop flowing from my scared face."
    "They fall upon something on the ground."
    "A doll."
    "Mixed with the fallen autumn leaves it's the doll I used to sleep with when I was little."
    "But I can't remember the doll's name..."
    
    scene bg bedroom
    show increasing sunlight
    with open_eyes
    
    "My eyes hurts from the amount of light I'm not used to."
    
    hide increasing sunlight with Dissolve(1.0)
    
    "As they get accustomed to it, the place details come slowly to the vision"
    "I'm not in the hospital."
    "As my eyes run trhough the so familiar items, they fall upon the alarm clock on the bedside table."
    "It's almost noon."
    "I guess they brought me here when I was sleeping."
    "Well, at least I hope I didn't doozed off for a week again."
    
    play sound [ "sfx/open_door.ogg" ]
    
    "As the door opens, an unexpected face pops in the room."
    "Doctor Jill Summers."
    "Following her is my mother."
    "She seems a bit unsettled, as if something is really bothering her."
    "I assume it's the doctor."
    
    play sound [ "sfx/footsteps.ogg" ] fadeout 3
    
    "Jill walks to my bed, with the same smile she had in the hospital."
    
    jill "Good morning, Emilie."
    emilie "Morning."
    jill "It's just a quick check-up."
    jill "I guess your mother didn't told you, but I've got to check-up on you once in a week."
    emilie "I don't really mind."
    
    "She starts the check-up."
    "As the quick routine finishes, she starts packing all the suspicious stuffs."
    "I would be surprised if this entire thing had took her even five minutes."
    
    jill "It seems everything is okay."
    "She smiles, waves goodbye and leaves."
    "Mother follows her, probably to see her off and get any medical recommendations."
    "I look at the alarm clock once again."
    "It's a bit past noon."
    "The doll is standing near it."
    "Carefully arranged as if it's praying, the doll is kneeling on the bedside table and it's hands are joined."
    "Was it mom to arrange the doll like that?"
    "She is indeed a religious person, but she's not one to do that kind of thing."
    "I stare at the ceilling."
    "Maybe I should ask her when she comes back."
    "Not that it really matters, anyways."
    "The sound of the clock echoes by the room as the several minutes passes."
    "..."
    "......"
    "I've lost track of the time."
    
    if ciel_angry:
        jump scene_a011b
    else:
        jump scene_a011
        
label scene_a011:
    "As I look at the alarm clock I realize something is missing."
    "The doll."
    "I frantically search my room looking for it."
    "My eyes falls on a certain person, standing by the door."
    "Ciel."
    "He's holding the doll and smiling softly."
    "When he realizes I'm staring at him, his smile grous even wider."
    "He walks to my bed."
    "Putting the doll by my side, he sits."
    
    ciel "You don't remember, do you?"
    emilie "Remember... what?"
    ciel "This doll's name."
    
    "I look at the doll for a moment...{w=2} but it doesn't helps."
    "As he just stated, I can't remember it."
    
    emilie "Y-yeah..."
    
    "He stares at me, without saying a word."
    "..."
    "Maybe he don't believe me, as his expression is kind of surprised."
    "But he shakes his head and smiles again."
    
    ciel "It's better this way."
    emilie "You seem to know a lot about me."
    
    "He laughs, softly."
    
    ciel "Well, I do."
    ciel "After all, I'm the death angel."
    ciel "I know about everyone's life.{p}And I know about everyone's death."
    emilie "So you know exactly when I'll die, don't you?"
    ciel "Of course I do."
    ciel "When time comes, I'll have to come here to take your soul."
    emilie "It's not good to keep this information just with you."
    
    "He laughs once again."
    
    ciel "It's a odd form of asking for it."
    ciel "But I can't tell you...{w=1} after all, life is meant to be a surprise."
    emilie "Oh, come on."
    
    "He stares at me."
    
    emilie "Okay, just a light hint then."
    
    "He stands up and walks to the window."
    "Leaning himself in the window's parapet, he turns at me."
    "For an instant, he seems expressionless."
    
    ciel "Once, I visited a girl whose mother had catch a cold."
    ciel "She was really worried about her mother."
    ciel "She was so worried that she would knee on her room and pray for hours."
    ciel "Even though she didn't knew how to pray properly."
    ciel "Then, she asked me about her mother's death."
    ciel "She kept asking me that very question until I decided to tell her."
    ciel "After that...{w=2} she broke, completly."
    
    "..."
    
    emilie "What...{w=1} kind of story is that?"
    
    "He laughs."
    "Dammit! He really had me there for a moment."
    
    ciel "It's one I tell everyone who asks for someone's death."
    ciel "This way I make sure they won't ask me twice."
    
    "Man, he is really twisted."
    
    emilie "You talk a lot about this girl."
    
    "He lowers his gaze."
    
    ciel "Yeah...{w=2}\nShe was really special to me."
    emilie "Was...?{w=2}{nw}"
    emilie "——wait! Do you mean that story just now it's true?"
    ciel "Of course it is."
    ciel "As an angel I can't lie."
    emilie "So...{w=1} who is that girl?"
    
    "He looks at me in surprise."
    
    ciel "Well, that's not important."
    emilie "Actually it is."
    
    "He walks slowly to my bed."
    "My heartbeats are so loud that I can hear them."
    "He sits by my side, looking at me with a serious expression."
    
    ciel "Well...{w=3} even if it is, I can't tell you."
    
    "He smiles."
    
    ciel "I've got to go."
    "He leaves."
    "In the end, I'm left thinking about that girl..."
    
    jump scene_a012
    
label scene_a011b:
    
    play music "bgm/aftermath.ogg"
    
    "As I look at the alarm clock, I realize the doll has changed."
    "Her hands are pierced with countless sewing needles."
    "Red threads descends from its hands to its knees, conecting all those countless needles."
    "A chill runs down my spine."
    "I quickly glance at its eyes."
    "They're looking at me."
    "Altough they're just the blank eyes of a doll, I can feel it."
    centered "——that thing is more alive even than I am..."
    "My head pulses."
    "The next instant I look there, the doll is nowhere to be seen."
    
    emilie "No... way..."
    
    "It's like the twisted dreams I used to have when I was a child."
    "The ones with the devilish rabbit running all over with a clock."
    "The ones where Alice was all covered in blood."
    
    centered "\"Emilie?\""
    
    "The voice is comming from the first floor."
    "It remembers me a bit of mother's voice."
    "But I can say for sure it isn't hers."
    centered "——the voice just now is filled with murderous intent."
    "To an extent it is even tangible."
    "Ciel said I can't let myself drown in these dreams."
    "I pinch my arm."
    "The murderous intent still overflowing."
    "It's so dense that it's almost suffocating me."
    "I grasp for air."
    "And repeat the same thing...{w} countless times."
    "But pinching my arm just seems to worse it all."
    "Then...{w=2} I know that."
    "I won't wake up ever again."
    "I'm trapped in this twisted world..."
    centered "——and I'm not allowed to escape..."
    "I look at my arm that's been hurting for a while now."
    "In the desperate attempt to wake me up, I ended up digging in my own skin."
    "The red keeps staining all over..."
    "...unstoppable..."
    "Bearing the pain, I get out of the bed."
    
    centered "\"Emilie? Come here dear.\""
    
    "The murderous voice keeps echoing."
    "Comming from the first floor."
    "Trying to immitate my very mother's voice."
    
    scene bg house corridor with dissolve
    
    "I walk to the corridor."
    "The lights are all off...{w=1} just like in the hospital."
    "I can hear something moving to the right."
    "It seems someone running in the wood floor."
    "I start to walk in that direction, leaving a red trail behind me."
    "My head is pulsing.{p}My heart is pounding."
    centered "——I can't walk properly at all."
    "But I go on, leaning on the walls."
    "When I reach the end of the corridor, before the stairs, I see it."
    "The twisted rabbit surrounded by dozens of clocks."
    "Every one of them, with the same time."
    centered "——10:01——"
    "No."
    "I just overlooked one of them."
    "It's encrusted where his heart was supposed to be."
    "The red stained clock shows up a entire different time."
    centered "——9:53——"
    
    show black with white_flash
    centered "{color=#f00}A camera registered the entire accident.{/color}"
    centered "{color=#f00}She died at 9:53 AM.{/color}"
    hide black with dissolve
    
    "My shaking legs pulls me back, instinctively."
    "But as I can't keep my balance, I fall to the ground...{w=2} in something soft."
    "I quickly glance at it."
    centered_fast "——someone's body..."
    "I'm over it."
    centered_fast "——a woman's body."
    "I jump and back up."
    "My hopeless attempt to run is stopped by the wall."
    "My eyes fall once again in the corpse."
    "Actaully, in the torso of a woman..."
    centered_fast "——wearing mother's clothes..."
    "I supress a scream, forcing my hands against my mouth."
    
    show black with white_flash
    centered "{color=#f00}The car was hit by a truck.{/color}"
    centered "{color=#f00}The body was...{/color}"
    hide black with dissolve
    
    "It can't be."
    "It can't be."
    
    centered_fast "{color=#f00}It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be. It can't be.{/color}"
    
    "It just can't be."
    "Someone, save me."
    "Please help me."
    
    emilie "Ciel!"
    emilie "CIEL!!"
    
    "Footsteps."
    "Coming lightly from the stairs... after that thing."
    "I frantically hit the floor with my legs, trying to back up."
    "As it's doing no good, I use my hands to help."
    "Adn as my hand touches something cold...{w=.5} i instinctively look at it..."
    centered_fast "——the neck of that body..."
    
    emilie "AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH——! Kuh——"
    
    "I franticaly kick the ground, hitting the corpse in the process."
    "My body is shaking."
    "I realize I'm sweating hard."
    
    centered "\"huhuhu——\""
    
    "A gently laugh..."
    centered_fast "——filled with murderous intent..."
    "It's unsettling."
    "As the light footsteps draws closer...{w=.5} that thing appears."
    centered_fast "——the doll..."
    "Covered in needles and tied in red threads, it closes on me."
    "I try desperately to back up."
    "..."
    "Until I hit the wall."
    "There's nowhere to run now."
    "That thing already passed all the three doors in this corridor."
    "I've come to a dead end."
    
    emilie "CIEEEEEEEEEEL!!!"
    
    "I try to put my last vestige of hope in this scream."
    "I've put all my faith into it."
    centered "——the last snowflake of this winter..."
    "If this doesn't work, then...{w=1}{nw}"
    "No! I have to think posi...{nw}"
    "That thing is laughing."
    "It's laughing so hard that it seems it'll break at anytime soon."
    
    doll "Say...{w=2} why are you screaming..."
    centered "\"...to call for something that is right in front of you?\""
    
    "The world freezes."
    "Completly."
    "Now I remember."
    "Ciel is the name I gave that doll."
    
    ciel "Now it's time, isn't it?"
    
    "It comes closer."
    "I feel a sharp pain in my heart."
    "But it doesn't matter now..."
    "...nothing matters anymore..."
    
    stop music fadeout 1
    
    scene black
    show text "{color=#f00}DEAD{/color} END" at Position(xalign=1.0, yalign=1.0, xoffset=-30, yoffset=-30)
    with dissolve
    $ renpy.pause()
    
    jump credits
    
# ===================================================================
# Chapter 4 ~ Parting
# --------------------    
label scene_a012:
    
    $ _chapter("4", "Chapter 4 - Parting")
    
    play music "bgm/floating.ogg" fadein 2
    scene black with dissolve
    
    "Yellow leaves fall from the tree above."
    "I'm crying, all alone in the park."
    "The grip in my hand is loosing slowly."
    "The thing I was holding falls on the ground."
    "But I can't gather the courage to take a good look at it."
    "Standing there, among the fallen leaves."
    "That important thing sleeps with the dead doll..."
    
    stop music fadeout 2
    scene bg bedroom
    show increasing sunlight
    with open_eyes
    
    "The sunlight wakes me up."
    "I take a bit bearing the unusual amount of light."
    "Honestly, I don't remember my room being so bright in the morning."
    
    hide increasing sunlight with Dissolve(1)
    
    "As my eyes get used to it, the hazy fell fades."
    "Then, I notice."
    "He is in my room."
    "It seems he's looking at the doll, so he may had not realized I woke."
    "Something seems odd, though."
    "It's not like the other times."
    "Even the atmosphere of the place has changed."
    "I...{w=1} have a bad felling about it."
    
    show ciel normal with dissolve
    
    "He turns at me."
    "Instead of wearing his usual smile, he is expressionless."
    "It fells a bit awkward."
    
    ciel "I...{w=1} wanted to talk with you."
    emilie "What...{w=2} is it?"
    
    "He shakes his head."
    "For some reason, he's aprehensive."
    
    ciel "Not here."
    
    "Before I say anything I realize what he's talking about."
    "That place."
    "The eden garden we went before."
    "The place that gave me the slight felling of being there before."
    "Nostalgia..."
    "I don't know what to answer."
    
    ciel "So...?"
    emilie "Okay..."
    
    "I said it."
    "It's already too late to regret anything."
    "All I can do now is pray my fears don't come to live."
    "He doesn't say anything."
    "Still with that lack of expression, he holds my hand."
    
    if not ciel_angry:
        "This isn't the same felling I got in the park."
    
    "It's like he's not touching my hand at all."
    
    play music "bgm/nostalgia.ogg" fadein 2 fadeout 2
    scene bg garden with white_flash
    
    "We cross the mirror and the garden comes to vision."
    "Beautiful as always, the bewitching garden do seems a bit odd too."
    "Or is it me?"
    "We seat near the fountain."
    "My eyes fixed on his face, while his are not even there."
    "Maybe they're looking for something so far away that I get this felling."
    "We...{w=2} are not allowed to be togheter."
    "After all, he is the angel sent to take my soul, and I'm the hopeless girl who can't help but die."
    "That's how silly life is."
    "He releases my hand and stand up."
    "Still looking at something far, far away."
    
    ciel "Once...{nw}"
    emilie "Wait——!"
    
    "I scream without realizing it."
    
    show ciel normal with dissolve
    
    "He looks at me, with the same expressionless face."
    "I cover my mouth with both my hands."
    "Then, I notice it."
    "Tears are flowing from my eyes."
    "As I can't hold them, they keep falling on my shaking hands."
    "Though I'm not crying, the tears won't stop."
    "Just like in that dream..."
    
    ciel "...I visited a cheerful little girl."
    
    "I can't bring myself to stop him anymore."
    "But I fell it."
    "I should not hear that story."
    
    ciel "She had 12 years back then, and her mother was ill."
    ciel "The doctors said she had a cold and just needed to rest."
    ciel "But even so, the girl wouldn't stop doing the very same question."
    
    centered "———will...{w=1} mom die?"
    
    ciel "It was like she could fell it."
    ciel "And after she asked me so many times, I answered her."
    ciel "That her mother would die the other day."
    ciel "She completly broke after that."
    ciel "She was unnable to accept her mother death and drowned in her own dreams."
    ciel "Then..."
    
    "He looks at me with an inquiring look."
    
    ciel "Do you remember that doll name?"
    "I try remembering the doll's name again."
    
    if visited_eden:
        jump scene_a013
    else:
        jump scene_a013b
        
label scene_a013:
    "But I can't."
    "No matter how much I try, I can't remember it."
    "He's looking at me, waiting for my answer."
    "I shake my head, slightly."
    "He smiles."
    "His smile is so big that it doesn't even fits in his face."
    "But it lasts just a second."
    
    jump scene_a014
    
label scene_a013b:
    "It comes really easy this time."
    "Then, I understand that dream."
    "I fully understand it now."
    
    play music "bgm/floating.ogg" fadein 2
    scene black with dissolve
    
    "Yellow leaves fall from the tree above."
    "I'm alone in the autumnal park."
    "Holding that one important thing with all my might."
    "Mother's pendant."
    "The one she gave me before she went to that stupid business reunion."
    "She said that every time I hold it and think of her from the bottom of my heart, she would be with me."
    "But she wasn't."
    "And that was the why the tears won't stop flowing."
    "Then, the grip in my hand looses."
    "The pendant fall on the ground, alongside with all the fallen leaves and the dead doll."
    "The doll name was..."
    
    play music "bgm/nostalgia.ogg" fadein 2 fadeout 2
    
    scene bg garden
    show ciel normal
    with white_flash
    
    emilie "Why?!"
    
    show ciel normal at FactorZoom(1.0, 2.0, .2, opaque=False), Position(yalign=0, ypos=100)
    
    "I quickly stand up and jump over Ciel."
    
    emilie "Why?! Why?! Why?! Why?! Why?! Why?! Why?! Why?! Why?! Why?! Why?! Why?! Why?! Why?! Why?!"
    
    "I'm punching his chest at every new question I make."
    "I just can't accept that."
    "That just can't be true at all."
    "So I keep punching him."
    
    emilie "Why...!?"
    emilie "Why does that doll has your name? Why?"
    
    "He keeps silently."
    "I've lost the will to punch him."
    "With my hands still on his chest, I cry."
    "without the force to hold back all those tears."
    
    jump scene_a014
    
label scene_a014:
    ciel "That girl was...{w=1} you."
    ciel "You were the first person to really catch my attention."
    ciel "I...{w=1} wanted to spend more and more time with you."
    ciel "It was so fun."
    ciel "But...{w=1} after all, we were of entire different worlds."
    ciel "You a human girl."
    ciel "And I the angel that was about to take your mother from you."
    ciel "I...{w=2} I knew you would hate me."
    ciel "I knew once you figured out, we would never be able to be togheter again."
    ciel "I was afraid, even though I didn't knew exacly what I was afraid of."
    ciel "But now I know."
    ciel "I just didn't wanted to lose you."
    ciel "I don't want to lose you ever again."
    
    emilie "Ci...{w=.5} el..."
    
    "He's hughing me."
    "So strong that I may break."
    
    ciel "Once you die...{w=.5} I...{w=1} can never see you again."
    
    "He holds me, even stronger."
    
    "And the silence follows."
    "..."
    
    emilie "Why...{w=1} can't we just stay like this...{w=.5} forever?"
    ciel "Because that's not how things works."
    ciel "We can't stop time."
    ciel "After all...{w=1} you're going to die...{w=2} in my hands..."
    ciel "I-I...{w=.5} don't want that."
    ciel "I want to be by your side, but its almost time."
    ciel "I guess...{w=1} this is where we say goodbye...{w=.5} Florence..."
    florence "Please stay..."
    florence "Please..."
    
    hide ciel with dissolve
    
    "He disappears."
    "I have a felling I will never see him again."
    "And when I realize it, my knees are on the ground."
    "I'm crying hopelessly."
    "The tears flowing from my face..."
    "...unstoppable..."
    
    if visited_eden:
        jump ciel_winter_fairy_tale
    else:
        jump ciel_promised_days
        
# ===================================================================
# Ciel's Ending : Winter Fairy Tale
# ----------------------------------   
label ciel_winter_fairy_tale:
    
    stop music fadeout 1
    scene bg park snow with Dissolve(2)
    
    "When I realize it, I'm in a different place."
    "A park."
    "Peoples are passing by and giving me odd looks."
    "I remember I'm kneeling on the ground, with wet eyes."
    
    florence "What...{w=1} am I doing here?"
    
    "I stand up, cleaning my now dirty clothes."
    "My memory is almost blank."
    "I don't know why I'm here, neither how I got here."
    florence_t "Geez, I guess I'll have to walk all the way home."
    "I notice someone running up to me."
    "But I don't know who is her."
    "She stops to catch her breath."
    
    jill "What are you doing alone here?"
    
    "That's something I would like to know too."
    
    florence "Do...{w=.5} you know me?"
    
    "She seems surprised."
    
    jill "Eh?!"
    jill "Are you all there, Florence?"
    florence "Sorry...{w=1} I can't remember."
    
    "She sighs."
    
    jill "Geez. It's me, Jill Summers, your doctor."
    
    "Yeah, now I remember."
    "She's been taking care of me since mother's death."
    
    jill "Oh, come on, I'll take you home."
    
    scene black with dissolve
    play music "bgm/snowscape.ogg" fadein 2 fadeout 2
    
    "..."    
    "It's been the same thing since that day."
    
    scene bg park snow with dissolve
    
    "As I wake up with the same strange dream, I end up comming to the park."
    "I know I'm hopeless but I just can't help it."
    "If I knew what I'm looking for..."
    "All I know its that something is missing."
    "Something very dear to me."
    "I won't be able to live if I don't find it."
    
    florence_t "You're a hopeless girl, Florence."
    
    "But I keep walking in the park."
    "I have a strange felling when I come to this place, so I guess I'd better look here."
    "Not that I'm really expecting to find something."
    
    florence "Geez, I'm really hopeless."
    
    "I stop."
    "Something unusual is in the place."
    "A boy is sitting near the fountain."
    "He seems so lost in thoughts that I find it awkward to bother him."
    "I turn to leave."
    "But I can't."
    "I know it."
    "I have to talk to that boy."
    
    florence "E-Excuse me..."
    "I walk up to him and shyly touch his shoulder."
    "Then, I remember."
    "I know what I'm looking for."
    "I'm looking for that boy."
    "The one who dressed up like a girl."
    "The one that was up to take my soul."
    "The one who loved me."
    "The one I loved."    
    "The boy turns at me and..."
    
    florence "Ci...!"
    
    "For a instant I have the impression he's that one boy."
    "But it's just a impression."
    "He is a completly different guy."
    "He is looking at me without understanding anything."
    
    florence "S-Sorry..."
    florence "I...{w=.5} confounded you with another person."
    
    "I quickly turn away, trying to hide my embaraced face."
    "I walk in the snowfield, leaving behind my footprints."
    "Leaving behind the image of that guy."
    "The one who loved me."
    "The one that was loved by me."
    "Time will take care of erasing it all."
    "Once the snow pile up in my heart, I'll no longer fell this pain and I'll be able to carry on."
    
    florence_t "Yeah... it's better this way..."
    florence "Goodby...{nw}"
    
    "The soft touch in my arm makes me quickly turn around."
    "The world freezes."
    "The snowfall stops."
    "He is smiling."
    "That very smile I recognize very well."
    "I know it is him."
    "And we'll be always togheter from now on..."
    "Always, always..."
    
    stop music fadeout 1
    $ _ending("winter fairy tale")
    $ persistent.winter_fairy_tale = True
    
    jump credits
    
# ===================================================================
# Ciel's Ending : Promised Days
# ------------------------------   
label ciel_promised_days:
    florence "I... don't want to be separated from you too..."
    florence "I... want to be by your side."
    florence "Forever by your side."
    
    "I bit my tongue really hard."
    "Bearing the pain, I keep bitting it."
    "If I do this way, then I can be with him again..."
    "Can't I...?"
    
    stop music fadeout 2
    scene black with Dissolve(2)
    with Pause(1)
    scene bg car with dissolve
    
    "When Jill received that call, she couldn't believe it."
    "That's true that she thought of Florence doing something like that before, but now of all the times?"
    "But she went as fast as she could, cursing every red light she encountered."
    
    scene black with dissolve
    
    "When she finally arrived Florence's home, she was received by the worried face of Hilde."
    "She ran upstairs..."
    
    scene bg bedroom with dissolve
    
    "But stopped at the door... in shock."
    "Even without a closer analysis she could tell it was already too late."
    "But she would try her best, nonetheless."
    "Wasn't like this the first time?"
    "When that girl crossed the hospital doors, she was dead."
    "She revived that girl once, she could do it again."
    
    jill "I already called the ambulancy, they'll be here in five minutes."
    
    "She looked at the worried face of Hilde."
    
    jill "She'll gonna be okay."
    
    "And she gave the best smile she could."
    "Maybe trying even to deceive herself."
    "She needed to..."
    
    scene black with Dissolve(1)
    
    "He had already planned it."
    "Actually, he was so anxious for it that he planned everything a week beforehand."
    "Everything should go perfect."
    "She would have the best day of her life."
    "After all, it was like she was born again..."
    "For the second time!"
    "He looked again at the clook."
    "It was almost time."
    "He had spaced out again, and now he got to run to make it."
    "..."
    "When he arrived at the hospital, he was greeted by the tender smile of doctor Jill Summers."
    
    jill "She's waiting in her room."
    
    "He thanked her and started to walk to the room."
    "Looking again at his hand, just to make sure the gift was there."
    "It was."
    
    play music "bgm/snowscape.ogg" fadein 2 fadeout 2
    scene bg hospital with dissolve
    
    "And with a bright smile, he entered in the room."
    "Florence was looking the city by the window."
    "He sneaked at her and wraped her body with his arms, revealing that little box."
    "She smiled and accepted the gift."
    "Then, she turned at him, with a big smile in her face."
    "If this was some days ago, she wouldn't believe it."
    "But it was happening."
    "And she was happy for it."
    "She opened the box and her smile grew even wider."
    "It was a pendant."
    "A really beautiful one."
    
    ciel "Let me help you."
    florence "Please do."
    
    "It was just the beginning."
    "They would have lots of time for theirselves now..."
    
    stop music fadeout 1
    scene black with Dissolve(1)
    with Pause(1)
    play music "bgm/nostalgia.ogg" fadein 1
    
    "Ciel wakes up."
    "His clearly sleepless eyes falls on the alarm clock."
    "It's late morning."
    "The headache he has now remembers him of how bad it is to be a human."
    "But that was the choice he made."
    "For her."
    "And he didn't regreted it."
    "Fighting himself, he gets up and heads to that same very place."
    "She is waiting for him there."
    "She is always waiting for him there."
    "He is bringing flowers to her."
    "Forget-me-nots."
    "He didn't had the time to ask her about it, but he hopes she likes."
    "After all, they symbolize true love."
    "There couldn't be something better to match the fellings between those two."
    "When he finally reaches her, he stops, and gently handles the flowers to her."
    "He can see her smile."
    "It's a really beautiful one."
    "Then, he closes his eyes."
    "And say the very same phrase as aways."
    
    ciel "We'll aways be togheter...{w=1} no matter what..."
    ciel "I promise you."
    
    scene bg grave at Move((0, 0, 0, 0), (0, 1.0, 0, 1.0), 10.0)
    with open_eyess
    with Pause(5.0)
    scene bg grave with dissolve
    
    "He opens his eyes, staring at her for a while."
    "He has to make sure she understands that."
    "Then, he can leave."
    "Holding back the tears that he can't shed in front of her..."
    
    stop music fadeout 1
    $ _ending("promised days")
    $ persistent.promised_days = True
    
    jump credits